<?php

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
    die;
}

use Carbon_Fields\Field;

return array(
    Field::make( 'checkbox', 'crb_fsd_sb_show_cta', 'Show CTA' )
        ->set_option_value( 'yes' )
        ->set_classes( 'field-checkbox button-cta' ),

    Field::make( 'text', 'crb_fsd_sb_cta_text', __( 'Title', 'fsd-simple-banner' ) )
        ->set_help_text( 'Enter button text' )
        ->set_width( 33 )
        ->set_default_value("I'm a button!"),

    Field::make( 'text', 'crb_fsd_sb_cta_url', __( 'URL', 'fsd-simple-banner' ) )
        ->set_help_text( 'Enter button URL' )
        ->set_default_value('#')
        ->set_width( 33 ),

    Field::make( 'select', 'crb_fsd_sb_cta_select_target', __( 'Link target', 'fsd-simple-banner' ) )
        ->set_options( array(
            '_blank' => 'Open in new tab',
            '_self' => 'Open in same tab',
        ) )
        ->set_width( 33 ),

    Field::make( 'separator', 'crb_fsd_sb_separator_cta_styles', __( 'Styles', 'fsd-simple-banner' ) )
        ->set_help_text( 'Select styling for button' ),

    Field::make( 'color', 'crb_fsd_sb_cta_background', __( 'Background colour', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_default_value('#FFFFFF'),

    Field::make( 'color', 'crb_fsd_sb_cta_background_hover', __( 'Background colour on hover', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_default_value('#EEEEEE'),

    Field::make( 'color', 'crb_fsd_sb_cta_text_colour', __( 'Font colour', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_default_value('#000000'),

    Field::make( 'color', 'crb_fsd_sb_cta_text_colour_hover', __( 'Font colour on hover', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_default_value('#2A2A2A'),

    Field::make( 'text', 'crb_fsd_sb_cta_font_size', __( 'Font size', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(16)
        ->set_classes( 'field-px' ),

    Field::make( 'text', 'crb_fsd_sb_cta_padding_y', __( 'Padding top/bottom', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(10)
        ->set_classes( 'field-px' ),

    Field::make( 'text', 'crb_fsd_sb_cta_padding_x', __( 'Padding left/right', 'fsd-simple-banner' ) )
        ->set_width( 20 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(20)
        ->set_classes( 'field-px' ),

    Field::make( 'separator', 'crb_fsd_sb_separator_cta_border', __( 'Border', 'fsd-simple-banner' ) )
        ->set_help_text( 'Select styling for borders' ),

    Field::make( 'text', 'crb_fsd_sb_cta_border_width', __( 'Border width', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(2)
        ->set_classes( 'field-px' ),

    Field::make( 'text', 'crb_fsd_sb_cta_border_radius', __( 'Border radius', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_attribute( 'type', 'number' )
        ->set_attribute( 'min', 0)
        ->set_default_value(10)
        ->set_classes( 'field-px' ),

    Field::make( 'color', 'crb_fsd_sb_cta_border_colour', __( 'Border colour', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_default_value('#000000'),

    Field::make( 'color', 'crb_fsd_sb_cta_border_colour_hover', __( 'Border colour on hover', 'fsd-simple-banner' ) )
        ->set_width( 25 )
        ->set_default_value('#2A2A2A'),
);
?>